GlueGen: com.jogamp.common.nio.TestByteBufferInputStream Class Reference

GlueGen v2.6.0-rc-20250822 GlueGen, Native Binding Generator for Java™ (public API).

Classes | Public Member Functions | Static Public Member Functions | Static Public Attributes | List of all members
com.jogamp.common.nio.TestByteBufferInputStream Class Reference

Testing serial read of `ByteBufferInputStream` and `MappedByteBufferInputStream`, i.e. More...

Inheritance diagram for com.jogamp.common.nio.TestByteBufferInputStream:
Collaboration diagram for com.jogamp.common.nio.TestByteBufferInputStream:

## Classes

enum | SrcType

## Public Member Functions

void | test01MixedIntSize () throws IOException
void | test11MMap1GiBFlushNone () throws IOException
void | test12MMap1GiBFlushSoft () throws IOException
void | test13MMap2GiBFlushHard () throws IOException
Public Member Functions inherited from com.jogamp.junit.util.JunitTracer
final String | getTestMethodName ()
final String | getSimpleTestName (final String separator)
final String | getFullTestName (final String separator)
final void | setUpBase ()
final void | tearDownBase ()

## Static Public Member Functions

static void | setup () throws IOException
static void | cleanup ()
static void | dumpMem (final String pre, final Runtime runtime, final long usedMem0, final long freeMem0, final long[] usedMemN, final long[] freeMemN)
static void | main (final String args[]) throws IOException
Static Public Member Functions inherited from com.jogamp.junit.util.SingletonJunitCase
static final void | enableSingletonLock (final boolean v)
| Default is `true`. More...
static final void | oneTimeSetUpSingleton ()
static final void | oneTimeTearDownSingleton ()
Static Public Member Functions inherited from com.jogamp.junit.util.JunitTracer
static final boolean | isTestSupported ()
static final void | setTestSupported (final boolean v)
static final void | oneTimeSetUpBase ()
static final void | oneTimeTearDownBase ()
static void | waitForKey (final String preMessage)

## Static Public Attributes

static final String | PrintPrecision = "%8.3f"
static final double | MIB = 1024.0*1024.0
Static Public Attributes inherited from com.jogamp.junit.util.SingletonJunitCase
static final String | SINGLE_INSTANCE_LOCK_FILE = "SingletonTestCase.lock"
static final int | SINGLE_INSTANCE_LOCK_PORT = 59999
static final long | SINGLE_INSTANCE_LOCK_TO = 15*60*1000
static final long | SINGLE_INSTANCE_LOCK_POLL = 500

## Additional Inherited Members

Public Attributes inherited from com.jogamp.junit.util.JunitTracer
final TestName | _unitTestName = new TestName()

## Detailed Description

Testing serial read of `ByteBufferInputStream` and `MappedByteBufferInputStream`, i.e.

basic functionality only.

Focusing on comparison with `BufferedInputStream` regarding performance, used memory heap and used virtual memory.

Definition at line 60 of file TestByteBufferInputStream.java.

## Member Function Documentation

## ◆ cleanup()

static void com.jogamp.common.nio.TestByteBufferInputStream.cleanup | ( |  | ) |

static

Definition at line 114 of file TestByteBufferInputStream.java.

## ◆ dumpMem()

static void com.jogamp.common.nio.TestByteBufferInputStream.dumpMem | ( | final String | pre,
|  | final Runtime | runtime,
|  | final long | usedMem0,
|  | final long | freeMem0,
|  | final long[] | usedMemN,
|  | final long[] | freeMemN
| ) |  |

static

Definition at line 331 of file TestByteBufferInputStream.java.

## ◆ main()

static void com.jogamp.common.nio.TestByteBufferInputStream.main | ( | final String | args[] | ) | throws IOException

static

Definition at line 354 of file TestByteBufferInputStream.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ setup()

static void com.jogamp.common.nio.TestByteBufferInputStream.setup | ( |  | ) | throws IOException

static

Definition at line 93 of file TestByteBufferInputStream.java.

## ◆ test01MixedIntSize()

void com.jogamp.common.nio.TestByteBufferInputStream.test01MixedIntSize | ( |  | ) | throws IOException

Definition at line 130 of file TestByteBufferInputStream.java.

## ◆ test11MMap1GiBFlushNone()

void com.jogamp.common.nio.TestByteBufferInputStream.test11MMap1GiBFlushNone | ( |  | ) | throws IOException

Definition at line 147 of file TestByteBufferInputStream.java.

Here is the call graph for this function:

## ◆ test12MMap1GiBFlushSoft()

void com.jogamp.common.nio.TestByteBufferInputStream.test12MMap1GiBFlushSoft | ( |  | ) | throws IOException

Definition at line 157 of file TestByteBufferInputStream.java.

Here is the call graph for this function:

## ◆ test13MMap2GiBFlushHard()

void com.jogamp.common.nio.TestByteBufferInputStream.test13MMap2GiBFlushHard | ( |  | ) | throws IOException

Definition at line 167 of file TestByteBufferInputStream.java.

Here is the call graph for this function:

## Member Data Documentation

## ◆ MIB

final double com.jogamp.common.nio.TestByteBufferInputStream.MIB = 1024.0*1024.0

static

Definition at line 89 of file TestByteBufferInputStream.java.

## ◆ PrintPrecision

final String com.jogamp.common.nio.TestByteBufferInputStream.PrintPrecision = "%8.3f"

static

Definition at line 88 of file TestByteBufferInputStream.java.

The documentation for this class was generated from the following file:

- src/junit/com/jogamp/common/nio/TestByteBufferInputStream.java